
; 'system.inc' for Linux

%define stdin   0
%define stdout  1
%define stderr  2

%define SYS_exit    1
%define SYS_read    3
%define SYS_write   4
%define SYS_open    5
%define SYS_close   6


%macro system  1
    mov     eax, %1
    int 80h
%endmacro

%macro sys.exit    0
    system  SYS_exit
%endmacro

%macro  sys.read    0
    system  SYS_read
%endmacro

%macro  sys.write   0
    system  SYS_write
%endmacro

%macro sys.open    0
    system  SYS_open
%endmacro

%macro  sys.close   0
    system  SYS_close
%endmacro


